1. Packages
  2. Oracle Cloud Infrastructure
  3. API Docs
  4. DatabaseManagement
  5. getExadataInfrastructureFleetMetric
Viewing docs for Oracle Cloud Infrastructure v4.3.0
published on Thursday, Mar 19, 2026 by Pulumi
oci logo
Viewing docs for Oracle Cloud Infrastructure v4.3.0
published on Thursday, Mar 19, 2026 by Pulumi

    This data source provides details about a specific Exadata Infrastructure Fleet Metric resource in Oracle Cloud Infrastructure Database Management service.

    Gets the health metrics for a fleet of Exadata infrastructure in a compartment. The CompartmentId query parameters must be provided to retrieve the health metrics.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testExadataInfrastructureFleetMetric = oci.DatabaseManagement.getExadataInfrastructureFleetMetric({
        compareBaselineTime: exadataInfrastructureFleetMetricCompareBaselineTime,
        compareTargetTime: exadataInfrastructureFleetMetricCompareTargetTime,
        compartmentId: compartmentId,
        compareType: exadataInfrastructureFleetMetricCompareType,
        filterByExadataInfrastructureDeploymentType: exadataInfrastructureFleetMetricFilterByExadataInfrastructureDeploymentType,
        filterByExadataInfrastructureLifecycleState: exadataInfrastructureFleetMetricFilterByExadataInfrastructureLifecycleState,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_exadata_infrastructure_fleet_metric = oci.DatabaseManagement.get_exadata_infrastructure_fleet_metric(compare_baseline_time=exadata_infrastructure_fleet_metric_compare_baseline_time,
        compare_target_time=exadata_infrastructure_fleet_metric_compare_target_time,
        compartment_id=compartment_id,
        compare_type=exadata_infrastructure_fleet_metric_compare_type,
        filter_by_exadata_infrastructure_deployment_type=exadata_infrastructure_fleet_metric_filter_by_exadata_infrastructure_deployment_type,
        filter_by_exadata_infrastructure_lifecycle_state=exadata_infrastructure_fleet_metric_filter_by_exadata_infrastructure_lifecycle_state)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/databasemanagement"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := databasemanagement.GetExadataInfrastructureFleetMetric(ctx, &databasemanagement.GetExadataInfrastructureFleetMetricArgs{
    			CompareBaselineTime: exadataInfrastructureFleetMetricCompareBaselineTime,
    			CompareTargetTime:   exadataInfrastructureFleetMetricCompareTargetTime,
    			CompartmentId:       compartmentId,
    			CompareType:         pulumi.StringRef(exadataInfrastructureFleetMetricCompareType),
    			FilterByExadataInfrastructureDeploymentType: pulumi.StringRef(exadataInfrastructureFleetMetricFilterByExadataInfrastructureDeploymentType),
    			FilterByExadataInfrastructureLifecycleState: pulumi.StringRef(exadataInfrastructureFleetMetricFilterByExadataInfrastructureLifecycleState),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testExadataInfrastructureFleetMetric = Oci.DatabaseManagement.GetExadataInfrastructureFleetMetric.Invoke(new()
        {
            CompareBaselineTime = exadataInfrastructureFleetMetricCompareBaselineTime,
            CompareTargetTime = exadataInfrastructureFleetMetricCompareTargetTime,
            CompartmentId = compartmentId,
            CompareType = exadataInfrastructureFleetMetricCompareType,
            FilterByExadataInfrastructureDeploymentType = exadataInfrastructureFleetMetricFilterByExadataInfrastructureDeploymentType,
            FilterByExadataInfrastructureLifecycleState = exadataInfrastructureFleetMetricFilterByExadataInfrastructureLifecycleState,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.DatabaseManagement.DatabaseManagementFunctions;
    import com.pulumi.oci.DatabaseManagement.inputs.GetExadataInfrastructureFleetMetricArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testExadataInfrastructureFleetMetric = DatabaseManagementFunctions.getExadataInfrastructureFleetMetric(GetExadataInfrastructureFleetMetricArgs.builder()
                .compareBaselineTime(exadataInfrastructureFleetMetricCompareBaselineTime)
                .compareTargetTime(exadataInfrastructureFleetMetricCompareTargetTime)
                .compartmentId(compartmentId)
                .compareType(exadataInfrastructureFleetMetricCompareType)
                .filterByExadataInfrastructureDeploymentType(exadataInfrastructureFleetMetricFilterByExadataInfrastructureDeploymentType)
                .filterByExadataInfrastructureLifecycleState(exadataInfrastructureFleetMetricFilterByExadataInfrastructureLifecycleState)
                .build());
    
        }
    }
    
    variables:
      testExadataInfrastructureFleetMetric:
        fn::invoke:
          function: oci:DatabaseManagement:getExadataInfrastructureFleetMetric
          arguments:
            compareBaselineTime: ${exadataInfrastructureFleetMetricCompareBaselineTime}
            compareTargetTime: ${exadataInfrastructureFleetMetricCompareTargetTime}
            compartmentId: ${compartmentId}
            compareType: ${exadataInfrastructureFleetMetricCompareType}
            filterByExadataInfrastructureDeploymentType: ${exadataInfrastructureFleetMetricFilterByExadataInfrastructureDeploymentType}
            filterByExadataInfrastructureLifecycleState: ${exadataInfrastructureFleetMetricFilterByExadataInfrastructureLifecycleState}
    

    Using getExadataInfrastructureFleetMetric

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getExadataInfrastructureFleetMetric(args: GetExadataInfrastructureFleetMetricArgs, opts?: InvokeOptions): Promise<GetExadataInfrastructureFleetMetricResult>
    function getExadataInfrastructureFleetMetricOutput(args: GetExadataInfrastructureFleetMetricOutputArgs, opts?: InvokeOptions): Output<GetExadataInfrastructureFleetMetricResult>
    def get_exadata_infrastructure_fleet_metric(compare_baseline_time: Optional[str] = None,
                                                compare_target_time: Optional[str] = None,
                                                compare_type: Optional[str] = None,
                                                compartment_id: Optional[str] = None,
                                                filter_by_exadata_infrastructure_deployment_type: Optional[str] = None,
                                                filter_by_exadata_infrastructure_lifecycle_state: Optional[str] = None,
                                                opts: Optional[InvokeOptions] = None) -> GetExadataInfrastructureFleetMetricResult
    def get_exadata_infrastructure_fleet_metric_output(compare_baseline_time: Optional[pulumi.Input[str]] = None,
                                                compare_target_time: Optional[pulumi.Input[str]] = None,
                                                compare_type: Optional[pulumi.Input[str]] = None,
                                                compartment_id: Optional[pulumi.Input[str]] = None,
                                                filter_by_exadata_infrastructure_deployment_type: Optional[pulumi.Input[str]] = None,
                                                filter_by_exadata_infrastructure_lifecycle_state: Optional[pulumi.Input[str]] = None,
                                                opts: Optional[InvokeOptions] = None) -> Output[GetExadataInfrastructureFleetMetricResult]
    func GetExadataInfrastructureFleetMetric(ctx *Context, args *GetExadataInfrastructureFleetMetricArgs, opts ...InvokeOption) (*GetExadataInfrastructureFleetMetricResult, error)
    func GetExadataInfrastructureFleetMetricOutput(ctx *Context, args *GetExadataInfrastructureFleetMetricOutputArgs, opts ...InvokeOption) GetExadataInfrastructureFleetMetricResultOutput

    > Note: This function is named GetExadataInfrastructureFleetMetric in the Go SDK.

    public static class GetExadataInfrastructureFleetMetric 
    {
        public static Task<GetExadataInfrastructureFleetMetricResult> InvokeAsync(GetExadataInfrastructureFleetMetricArgs args, InvokeOptions? opts = null)
        public static Output<GetExadataInfrastructureFleetMetricResult> Invoke(GetExadataInfrastructureFleetMetricInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetExadataInfrastructureFleetMetricResult> getExadataInfrastructureFleetMetric(GetExadataInfrastructureFleetMetricArgs args, InvokeOptions options)
    public static Output<GetExadataInfrastructureFleetMetricResult> getExadataInfrastructureFleetMetric(GetExadataInfrastructureFleetMetricArgs args, InvokeOptions options)
    
    fn::invoke:
      function: oci:DatabaseManagement/getExadataInfrastructureFleetMetric:getExadataInfrastructureFleetMetric
      arguments:
        # arguments dictionary

    The following arguments are supported:

    CompareBaselineTime string
    The baseline time for metrics comparison.
    CompareTargetTime string
    The target time for metrics comparison.
    CompartmentId string
    The OCID of the compartment.
    CompareType string
    The time window used for metrics comparison.
    FilterByExadataInfrastructureDeploymentType string
    The filter used to filter the Exadata infrastructures in the fleet by a specific deployment type.
    FilterByExadataInfrastructureLifecycleState string
    The filter used to filter the Exadata infrastructure in the fleet by its lifecycle state. If the parameter is not provided, Exdata infrastructures in any state are returned.
    CompareBaselineTime string
    The baseline time for metrics comparison.
    CompareTargetTime string
    The target time for metrics comparison.
    CompartmentId string
    The OCID of the compartment.
    CompareType string
    The time window used for metrics comparison.
    FilterByExadataInfrastructureDeploymentType string
    The filter used to filter the Exadata infrastructures in the fleet by a specific deployment type.
    FilterByExadataInfrastructureLifecycleState string
    The filter used to filter the Exadata infrastructure in the fleet by its lifecycle state. If the parameter is not provided, Exdata infrastructures in any state are returned.
    compareBaselineTime String
    The baseline time for metrics comparison.
    compareTargetTime String
    The target time for metrics comparison.
    compartmentId String
    The OCID of the compartment.
    compareType String
    The time window used for metrics comparison.
    filterByExadataInfrastructureDeploymentType String
    The filter used to filter the Exadata infrastructures in the fleet by a specific deployment type.
    filterByExadataInfrastructureLifecycleState String
    The filter used to filter the Exadata infrastructure in the fleet by its lifecycle state. If the parameter is not provided, Exdata infrastructures in any state are returned.
    compareBaselineTime string
    The baseline time for metrics comparison.
    compareTargetTime string
    The target time for metrics comparison.
    compartmentId string
    The OCID of the compartment.
    compareType string
    The time window used for metrics comparison.
    filterByExadataInfrastructureDeploymentType string
    The filter used to filter the Exadata infrastructures in the fleet by a specific deployment type.
    filterByExadataInfrastructureLifecycleState string
    The filter used to filter the Exadata infrastructure in the fleet by its lifecycle state. If the parameter is not provided, Exdata infrastructures in any state are returned.
    compare_baseline_time str
    The baseline time for metrics comparison.
    compare_target_time str
    The target time for metrics comparison.
    compartment_id str
    The OCID of the compartment.
    compare_type str
    The time window used for metrics comparison.
    filter_by_exadata_infrastructure_deployment_type str
    The filter used to filter the Exadata infrastructures in the fleet by a specific deployment type.
    filter_by_exadata_infrastructure_lifecycle_state str
    The filter used to filter the Exadata infrastructure in the fleet by its lifecycle state. If the parameter is not provided, Exdata infrastructures in any state are returned.
    compareBaselineTime String
    The baseline time for metrics comparison.
    compareTargetTime String
    The target time for metrics comparison.
    compartmentId String
    The OCID of the compartment.
    compareType String
    The time window used for metrics comparison.
    filterByExadataInfrastructureDeploymentType String
    The filter used to filter the Exadata infrastructures in the fleet by a specific deployment type.
    filterByExadataInfrastructureLifecycleState String
    The filter used to filter the Exadata infrastructure in the fleet by its lifecycle state. If the parameter is not provided, Exdata infrastructures in any state are returned.

    getExadataInfrastructureFleetMetric Result

    The following output properties are available:

    CompareBaselineTime string
    The baseline date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'". This is the date and time against which percentage change is calculated.
    CompareTargetTime string
    The target date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'". All the metrics are returned for the target date and time and the percentage change is calculated against the baseline date and time.
    CompartmentId string
    The OCID of the compartment where the Exadata infrastructure resides.
    ExadataInfrastructureFleetSummaries List<GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummary>
    A summary of the inventory count grouped by Exadata infrastructure deployment type, and the metrics that describe the aggregated usage of CPU, storage, and so on of all Exadata infrastructures in the fleet.
    FleetExadataInfrastructures List<GetExadataInfrastructureFleetMetricFleetExadataInfrastructure>
    A list of the Exadata infrastructures present in the fleet and their usage metrics.
    Id string
    The provider-assigned unique ID for this managed resource.
    CompareType string
    The time window used for metrics comparison.
    FilterByExadataInfrastructureDeploymentType string
    FilterByExadataInfrastructureLifecycleState string
    CompareBaselineTime string
    The baseline date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'". This is the date and time against which percentage change is calculated.
    CompareTargetTime string
    The target date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'". All the metrics are returned for the target date and time and the percentage change is calculated against the baseline date and time.
    CompartmentId string
    The OCID of the compartment where the Exadata infrastructure resides.
    ExadataInfrastructureFleetSummaries []GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummary
    A summary of the inventory count grouped by Exadata infrastructure deployment type, and the metrics that describe the aggregated usage of CPU, storage, and so on of all Exadata infrastructures in the fleet.
    FleetExadataInfrastructures []GetExadataInfrastructureFleetMetricFleetExadataInfrastructure
    A list of the Exadata infrastructures present in the fleet and their usage metrics.
    Id string
    The provider-assigned unique ID for this managed resource.
    CompareType string
    The time window used for metrics comparison.
    FilterByExadataInfrastructureDeploymentType string
    FilterByExadataInfrastructureLifecycleState string
    compareBaselineTime String
    The baseline date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'". This is the date and time against which percentage change is calculated.
    compareTargetTime String
    The target date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'". All the metrics are returned for the target date and time and the percentage change is calculated against the baseline date and time.
    compartmentId String
    The OCID of the compartment where the Exadata infrastructure resides.
    exadataInfrastructureFleetSummaries List<GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummary>
    A summary of the inventory count grouped by Exadata infrastructure deployment type, and the metrics that describe the aggregated usage of CPU, storage, and so on of all Exadata infrastructures in the fleet.
    fleetExadataInfrastructures List<GetExadataInfrastructureFleetMetricFleetExadataInfrastructure>
    A list of the Exadata infrastructures present in the fleet and their usage metrics.
    id String
    The provider-assigned unique ID for this managed resource.
    compareType String
    The time window used for metrics comparison.
    filterByExadataInfrastructureDeploymentType String
    filterByExadataInfrastructureLifecycleState String
    compareBaselineTime string
    The baseline date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'". This is the date and time against which percentage change is calculated.
    compareTargetTime string
    The target date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'". All the metrics are returned for the target date and time and the percentage change is calculated against the baseline date and time.
    compartmentId string
    The OCID of the compartment where the Exadata infrastructure resides.
    exadataInfrastructureFleetSummaries GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummary[]
    A summary of the inventory count grouped by Exadata infrastructure deployment type, and the metrics that describe the aggregated usage of CPU, storage, and so on of all Exadata infrastructures in the fleet.
    fleetExadataInfrastructures GetExadataInfrastructureFleetMetricFleetExadataInfrastructure[]
    A list of the Exadata infrastructures present in the fleet and their usage metrics.
    id string
    The provider-assigned unique ID for this managed resource.
    compareType string
    The time window used for metrics comparison.
    filterByExadataInfrastructureDeploymentType string
    filterByExadataInfrastructureLifecycleState string
    compare_baseline_time str
    The baseline date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'". This is the date and time against which percentage change is calculated.
    compare_target_time str
    The target date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'". All the metrics are returned for the target date and time and the percentage change is calculated against the baseline date and time.
    compartment_id str
    The OCID of the compartment where the Exadata infrastructure resides.
    exadata_infrastructure_fleet_summaries Sequence[GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummary]
    A summary of the inventory count grouped by Exadata infrastructure deployment type, and the metrics that describe the aggregated usage of CPU, storage, and so on of all Exadata infrastructures in the fleet.
    fleet_exadata_infrastructures Sequence[GetExadataInfrastructureFleetMetricFleetExadataInfrastructure]
    A list of the Exadata infrastructures present in the fleet and their usage metrics.
    id str
    The provider-assigned unique ID for this managed resource.
    compare_type str
    The time window used for metrics comparison.
    filter_by_exadata_infrastructure_deployment_type str
    filter_by_exadata_infrastructure_lifecycle_state str
    compareBaselineTime String
    The baseline date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'". This is the date and time against which percentage change is calculated.
    compareTargetTime String
    The target date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'". All the metrics are returned for the target date and time and the percentage change is calculated against the baseline date and time.
    compartmentId String
    The OCID of the compartment where the Exadata infrastructure resides.
    exadataInfrastructureFleetSummaries List<Property Map>
    A summary of the inventory count grouped by Exadata infrastructure deployment type, and the metrics that describe the aggregated usage of CPU, storage, and so on of all Exadata infrastructures in the fleet.
    fleetExadataInfrastructures List<Property Map>
    A list of the Exadata infrastructures present in the fleet and their usage metrics.
    id String
    The provider-assigned unique ID for this managed resource.
    compareType String
    The time window used for metrics comparison.
    filterByExadataInfrastructureDeploymentType String
    filterByExadataInfrastructureLifecycleState String

    Supporting Types

    GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummary

    AggregatedMetrics []GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummaryAggregatedMetric
    A list of Exadata infrastructures present in the fleet and their usage metrics.
    Inventories []GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummaryInventory
    A list of the Exadata infrastructures in the fleet.
    aggregatedMetrics GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummaryAggregatedMetric[]
    A list of Exadata infrastructures present in the fleet and their usage metrics.
    inventories GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummaryInventory[]
    A list of the Exadata infrastructures in the fleet.
    aggregatedMetrics List<Property Map>
    A list of Exadata infrastructures present in the fleet and their usage metrics.
    inventories List<Property Map>
    A list of the Exadata infrastructures in the fleet.

    GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummaryAggregatedMetric

    BaselineValue double
    The baseline value of the metric.
    Dimensions List<GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummaryAggregatedMetricDimension>
    The dimensions of the metric.
    MetricName string
    The name of the metric.
    PercentageChange double
    The percentage change in the metric aggregated value compared to the baseline value.
    TargetValue double
    The target value of the metric.
    Unit string
    The unit of the value.
    BaselineValue float64
    The baseline value of the metric.
    Dimensions []GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummaryAggregatedMetricDimension
    The dimensions of the metric.
    MetricName string
    The name of the metric.
    PercentageChange float64
    The percentage change in the metric aggregated value compared to the baseline value.
    TargetValue float64
    The target value of the metric.
    Unit string
    The unit of the value.
    baselineValue Double
    The baseline value of the metric.
    dimensions List<GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummaryAggregatedMetricDimension>
    The dimensions of the metric.
    metricName String
    The name of the metric.
    percentageChange Double
    The percentage change in the metric aggregated value compared to the baseline value.
    targetValue Double
    The target value of the metric.
    unit String
    The unit of the value.
    baselineValue number
    The baseline value of the metric.
    dimensions GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummaryAggregatedMetricDimension[]
    The dimensions of the metric.
    metricName string
    The name of the metric.
    percentageChange number
    The percentage change in the metric aggregated value compared to the baseline value.
    targetValue number
    The target value of the metric.
    unit string
    The unit of the value.
    baseline_value float
    The baseline value of the metric.
    dimensions Sequence[GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummaryAggregatedMetricDimension]
    The dimensions of the metric.
    metric_name str
    The name of the metric.
    percentage_change float
    The percentage change in the metric aggregated value compared to the baseline value.
    target_value float
    The target value of the metric.
    unit str
    The unit of the value.
    baselineValue Number
    The baseline value of the metric.
    dimensions List<Property Map>
    The dimensions of the metric.
    metricName String
    The name of the metric.
    percentageChange Number
    The percentage change in the metric aggregated value compared to the baseline value.
    targetValue Number
    The target value of the metric.
    unit String
    The unit of the value.

    GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummaryAggregatedMetricDimension

    DimensionName string
    The name of the dimension.
    DimensionValue string
    The value of the dimension.
    DimensionName string
    The name of the dimension.
    DimensionValue string
    The value of the dimension.
    dimensionName String
    The name of the dimension.
    dimensionValue String
    The value of the dimension.
    dimensionName string
    The name of the dimension.
    dimensionValue string
    The value of the dimension.
    dimension_name str
    The name of the dimension.
    dimension_value str
    The value of the dimension.
    dimensionName String
    The name of the dimension.
    dimensionValue String
    The value of the dimension.

    GetExadataInfrastructureFleetMetricExadataInfrastructureFleetSummaryInventory

    DeploymentType string
    The Exadata infrastructure deployment type.
    InventoryCount int
    The number of Exadata infrastructures in the fleet.
    RackSize string
    The size of the Exadata infrastructure.
    DeploymentType string
    The Exadata infrastructure deployment type.
    InventoryCount int
    The number of Exadata infrastructures in the fleet.
    RackSize string
    The size of the Exadata infrastructure.
    deploymentType String
    The Exadata infrastructure deployment type.
    inventoryCount Integer
    The number of Exadata infrastructures in the fleet.
    rackSize String
    The size of the Exadata infrastructure.
    deploymentType string
    The Exadata infrastructure deployment type.
    inventoryCount number
    The number of Exadata infrastructures in the fleet.
    rackSize string
    The size of the Exadata infrastructure.
    deployment_type str
    The Exadata infrastructure deployment type.
    inventory_count int
    The number of Exadata infrastructures in the fleet.
    rack_size str
    The size of the Exadata infrastructure.
    deploymentType String
    The Exadata infrastructure deployment type.
    inventoryCount Number
    The number of Exadata infrastructures in the fleet.
    rackSize String
    The size of the Exadata infrastructure.

    GetExadataInfrastructureFleetMetricFleetExadataInfrastructure

    CompartmentId string
    The OCID of the compartment.
    DeploymentType string
    The Exadata infrastructure deployment type.
    InfrastructureId string
    The OCID of the Exadata infrastructure.
    InfrastructureName string
    The display name of the Exadata infrastructure.
    Metrics List<GetExadataInfrastructureFleetMetricFleetExadataInfrastructureMetric>
    A list of the health metrics like CPU, Storage, and Memory.
    NumberOfDbSystems int
    The number of Database Systems created on the Exadata infrastructure.
    RackSize string
    The size of the Exadata infrastructure.
    State string
    The lifecycle state of the Exadata infrastructure.
    StorageServerCount int
    The number of storage server for the Exadata infrastructure.
    CompartmentId string
    The OCID of the compartment.
    DeploymentType string
    The Exadata infrastructure deployment type.
    InfrastructureId string
    The OCID of the Exadata infrastructure.
    InfrastructureName string
    The display name of the Exadata infrastructure.
    Metrics []GetExadataInfrastructureFleetMetricFleetExadataInfrastructureMetric
    A list of the health metrics like CPU, Storage, and Memory.
    NumberOfDbSystems int
    The number of Database Systems created on the Exadata infrastructure.
    RackSize string
    The size of the Exadata infrastructure.
    State string
    The lifecycle state of the Exadata infrastructure.
    StorageServerCount int
    The number of storage server for the Exadata infrastructure.
    compartmentId String
    The OCID of the compartment.
    deploymentType String
    The Exadata infrastructure deployment type.
    infrastructureId String
    The OCID of the Exadata infrastructure.
    infrastructureName String
    The display name of the Exadata infrastructure.
    metrics List<GetExadataInfrastructureFleetMetricFleetExadataInfrastructureMetric>
    A list of the health metrics like CPU, Storage, and Memory.
    numberOfDbSystems Integer
    The number of Database Systems created on the Exadata infrastructure.
    rackSize String
    The size of the Exadata infrastructure.
    state String
    The lifecycle state of the Exadata infrastructure.
    storageServerCount Integer
    The number of storage server for the Exadata infrastructure.
    compartmentId string
    The OCID of the compartment.
    deploymentType string
    The Exadata infrastructure deployment type.
    infrastructureId string
    The OCID of the Exadata infrastructure.
    infrastructureName string
    The display name of the Exadata infrastructure.
    metrics GetExadataInfrastructureFleetMetricFleetExadataInfrastructureMetric[]
    A list of the health metrics like CPU, Storage, and Memory.
    numberOfDbSystems number
    The number of Database Systems created on the Exadata infrastructure.
    rackSize string
    The size of the Exadata infrastructure.
    state string
    The lifecycle state of the Exadata infrastructure.
    storageServerCount number
    The number of storage server for the Exadata infrastructure.
    compartment_id str
    The OCID of the compartment.
    deployment_type str
    The Exadata infrastructure deployment type.
    infrastructure_id str
    The OCID of the Exadata infrastructure.
    infrastructure_name str
    The display name of the Exadata infrastructure.
    metrics Sequence[GetExadataInfrastructureFleetMetricFleetExadataInfrastructureMetric]
    A list of the health metrics like CPU, Storage, and Memory.
    number_of_db_systems int
    The number of Database Systems created on the Exadata infrastructure.
    rack_size str
    The size of the Exadata infrastructure.
    state str
    The lifecycle state of the Exadata infrastructure.
    storage_server_count int
    The number of storage server for the Exadata infrastructure.
    compartmentId String
    The OCID of the compartment.
    deploymentType String
    The Exadata infrastructure deployment type.
    infrastructureId String
    The OCID of the Exadata infrastructure.
    infrastructureName String
    The display name of the Exadata infrastructure.
    metrics List<Property Map>
    A list of the health metrics like CPU, Storage, and Memory.
    numberOfDbSystems Number
    The number of Database Systems created on the Exadata infrastructure.
    rackSize String
    The size of the Exadata infrastructure.
    state String
    The lifecycle state of the Exadata infrastructure.
    storageServerCount Number
    The number of storage server for the Exadata infrastructure.

    GetExadataInfrastructureFleetMetricFleetExadataInfrastructureMetric

    BaselineValue double
    The baseline value of the metric.
    Dimensions List<GetExadataInfrastructureFleetMetricFleetExadataInfrastructureMetricDimension>
    The dimensions of the metric.
    MetricName string
    The name of the metric.
    PercentageChange double
    The percentage change in the metric aggregated value compared to the baseline value.
    TargetValue double
    The target value of the metric.
    Timestamp string
    The data point date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'".
    Unit string
    The unit of the value.
    BaselineValue float64
    The baseline value of the metric.
    Dimensions []GetExadataInfrastructureFleetMetricFleetExadataInfrastructureMetricDimension
    The dimensions of the metric.
    MetricName string
    The name of the metric.
    PercentageChange float64
    The percentage change in the metric aggregated value compared to the baseline value.
    TargetValue float64
    The target value of the metric.
    Timestamp string
    The data point date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'".
    Unit string
    The unit of the value.
    baselineValue Double
    The baseline value of the metric.
    dimensions List<GetExadataInfrastructureFleetMetricFleetExadataInfrastructureMetricDimension>
    The dimensions of the metric.
    metricName String
    The name of the metric.
    percentageChange Double
    The percentage change in the metric aggregated value compared to the baseline value.
    targetValue Double
    The target value of the metric.
    timestamp String
    The data point date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'".
    unit String
    The unit of the value.
    baselineValue number
    The baseline value of the metric.
    dimensions GetExadataInfrastructureFleetMetricFleetExadataInfrastructureMetricDimension[]
    The dimensions of the metric.
    metricName string
    The name of the metric.
    percentageChange number
    The percentage change in the metric aggregated value compared to the baseline value.
    targetValue number
    The target value of the metric.
    timestamp string
    The data point date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'".
    unit string
    The unit of the value.
    baseline_value float
    The baseline value of the metric.
    dimensions Sequence[GetExadataInfrastructureFleetMetricFleetExadataInfrastructureMetricDimension]
    The dimensions of the metric.
    metric_name str
    The name of the metric.
    percentage_change float
    The percentage change in the metric aggregated value compared to the baseline value.
    target_value float
    The target value of the metric.
    timestamp str
    The data point date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'".
    unit str
    The unit of the value.
    baselineValue Number
    The baseline value of the metric.
    dimensions List<Property Map>
    The dimensions of the metric.
    metricName String
    The name of the metric.
    percentageChange Number
    The percentage change in the metric aggregated value compared to the baseline value.
    targetValue Number
    The target value of the metric.
    timestamp String
    The data point date and time in UTC in ISO-8601 format, which is "yyyy-MM-dd'T'hh:mm:ss.sss'Z'".
    unit String
    The unit of the value.

    GetExadataInfrastructureFleetMetricFleetExadataInfrastructureMetricDimension

    DimensionName string
    The name of the dimension.
    DimensionValue string
    The value of the dimension.
    DimensionName string
    The name of the dimension.
    DimensionValue string
    The value of the dimension.
    dimensionName String
    The name of the dimension.
    dimensionValue String
    The value of the dimension.
    dimensionName string
    The name of the dimension.
    dimensionValue string
    The value of the dimension.
    dimension_name str
    The name of the dimension.
    dimension_value str
    The value of the dimension.
    dimensionName String
    The name of the dimension.
    dimensionValue String
    The value of the dimension.

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo
    Viewing docs for Oracle Cloud Infrastructure v4.3.0
    published on Thursday, Mar 19, 2026 by Pulumi
      Try Pulumi Cloud free. Your team will thank you.